# Interface ArtifactIdentifier

public interface ArtifactIdentifier
The identifier for a module artifact.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassifier()`
Returns the classifier of this artifact, if any.
`String`
`getExtension()`
Returns the extension of this artifact.
`ModuleVersionIdentifier`
`getModuleVersionIdentifier()`
Returns the identifier of the module that owns this artifact.
`String`
`getName()`
Returns the name of this artifact.
`String`
`getType()`
Returns the type of this artifact.

## Method Details

### getModuleVersionIdentifier

ModuleVersionIdentifier getModuleVersionIdentifier()
Returns the identifier of the module that owns this artifact.

### getName

String getName()
Returns the name of this artifact.

### getType

String getType()
Returns the type of this artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

See Also:
  - `getExtension()`

### getExtension

String getExtension()
Returns the extension of this artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

See Also:
  - `getType()`

### getClassifier

String getClassifier()
Returns the classifier of this artifact, if any.